<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp "&#x00A0;"> ]>
<xsl:stylesheet 
	version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:msxml="urn:schemas-microsoft-com:xslt"
	xmlns:umbraco.library="urn:umbraco.library"
	xmlns:CommerceLibrary="urn:CommerceLibrary"
	exclude-result-prefixes="msxml umbraco.library CommerceLibrary">


<xsl:output method="xml" omit-xml-declaration="yes"/>

<xsl:param name="currentPage"/>
<xsl:variable name="catalogName" select="umbraco.library:RequestQueryString('catalog')"/>
<xsl:variable name="categoryName" select="umbraco.library:RequestQueryString('category')"/>
  
<xsl:template match="/">

<!-- start writing XSLT -->
  <xsl:choose>
    <xsl:when test="string-length($categoryName) = 0">
      <xsl:variable name="catalog" select="CommerceLibrary:GetCatalog($catalogName)"></xsl:variable>
      <h1>
        <xsl:value-of select="$catalog/productCatalog/@displayName"/>
      </h1>
    </xsl:when>
    <xsl:otherwise>
      <xsl:variable name="category" select="CommerceLibrary:GetCategory($catalogName, $categoryName)"></xsl:variable>

      <h1>
        <xsl:value-of select="$category/category/@displayName"></xsl:value-of>
      </h1>
      <p>
        <xsl:value-of select="$category/category/@description" disable-output-escaping="yes" ></xsl:value-of>
      </p>

      <xsl:apply-templates select="$category/category"></xsl:apply-templates>
      
    </xsl:otherwise>
  </xsl:choose>
  
</xsl:template>

  <!-- Display child categories -->
  <xsl:template match="childCategories">
    <ul id="navlist">
      <xsl:for-each select="category">
        <li>
          <a>
            <xsl:attribute name="href">
              ?catalog=<xsl:value-of select="$catalogName"/>&amp;category=<xsl:value-of select="@name"/>
            </xsl:attribute>
            <xsl:value-of select="@displayName"/>
          </a>          
        </li>
      </xsl:for-each>
    </ul>
  </xsl:template>

  <!-- Display child products -->
  <xsl:template match="childProducts">
    <xsl:for-each select="product">
      <div style="clear: both">
        <h4>
          <a>
            <xsl:attribute name="href">
              product.aspx?catalog=<xsl:value-of select="$catalogName"/>&amp;product=<xsl:value-of select="@sku"/>
            </xsl:attribute>
            <xsl:value-of select="@displayName"/>
          </a>
        </h4>
        <div style="float: left; width: 100px;">
          <img alt="Image">
            <xsl:attribute name="src">
              <xsl:value-of select="umbraco.library:GetMedia(@thumbnailImage, true())/data[@alias = 'umbracoFile']"/>
            </xsl:attribute>
          </img>          
        </div>
        <div style="margin-left: 150px">
          <xsl:value-of select="@shortDescription" disable-output-escaping="yes" />
          <xsl:choose>
            <xsl:when test="@allowOrdering">
              Order now!
            </xsl:when>
            <xsl:otherwise>
              Not available right now.
            </xsl:otherwise>
          </xsl:choose>
        </div>
      </div>
    </xsl:for-each>
    <div style="clear: both"></div>
  </xsl:template>

</xsl:stylesheet>