<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [ <!ENTITY nbsp "&#x00A0;"> ]>
<xsl:stylesheet 
	version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:msxml="urn:schemas-microsoft-com:xslt"
	xmlns:umbraco.library="urn:umbraco.library"
	xmlns:CommerceLibrary="urn:CommerceLibrary"
	exclude-result-prefixes="msxml umbraco.library CommerceLibrary">


<xsl:output method="xml" omit-xml-declaration="yes"/>

<xsl:param name="currentPage"/>
<xsl:variable name="catalogName" select="umbraco.library:RequestQueryString('catalog')"/>
<xsl:variable name="productSku" select="umbraco.library:RequestQueryString('product')"/>  
  
<xsl:template match="/">

  <xsl:variable name="product" select="CommerceLibrary:GetProduct($catalogName, $productSku)"></xsl:variable>

  <!-- See AddToBasket.xslt for add to basket method call. -->
  
  <h1>
    <xsl:value-of select="$product/product/@displayName"/>
  </h1>

  <div>
    <div style="float: left; width: 150px;">
      <img alt="Image">
        <xsl:attribute name="src">
          <xsl:value-of select="umbraco.library:GetMedia($product/product/@thumbnailImage, true())/data[@alias = 'umbracoFile']"/>
        </xsl:attribute>
      </img>
    </div>
    <div>
      <h4>Short Description</h4>
      <xsl:value-of select="$product/product/@shortDescription" disable-output-escaping="yes" />
      <h4>Long Description</h4>
      <xsl:value-of select="$product/product/@longDescription" disable-output-escaping="yes" />
    </div>
    <div>
      <h4>
        Your Price: 
        <xsl:value-of select="$product/product/@currency"/>&nbsp;
        <xsl:value-of select="CommerceLibrary:FormatCurrency($product/product/@price)"/>
      </h4>

      <span>
        <xsl:choose>
          <xsl:when test="$product/product/@allowOrdering">
            <form method="post">
              <input type="hidden" name="sku">
                <xsl:attribute name="value">
                  <xsl:value-of select="$product/product/@sku"/>
                </xsl:attribute>
              </input>
              Quantity: <input type="text" name="quantityInput" value="1"></input>&nbsp;
              <xsl:if test="$product/product/@hasVariants = 'True'">
                <select name="variantSku">
                  <option>Please select</option>
                  <xsl:for-each select="$product/product/variants/product">
                    <option>
                      <xsl:attribute name="value">
                        <xsl:value-of select="@variantSku"/>
                      </xsl:attribute>
                      <xsl:value-of select="@displayName"/>
                    </option>
                  </xsl:for-each>
                </select>&nbsp;
              </xsl:if>
              <input type="submit" value="Add To Basket"></input>
            </form>
          </xsl:when>
          <xsl:otherwise>
            <p style="color: red;">
              <xsl:value-of select="$product/product/@displayName"/> is temporarily unavailable.
            </p>
          </xsl:otherwise>
        </xsl:choose>
      </span>
      
    </div>
  </div>

  <div style="clear: both"></div>

</xsl:template>



</xsl:stylesheet>