<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
  <!ENTITY nbsp "&#x00A0;">
]>
<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:msxml="urn:schemas-microsoft-com:xslt"
	xmlns:umbraco.library="urn:umbraco.library"
	xmlns:CommerceLibrary="urn:CommerceLibrary"
	exclude-result-prefixes="msxml umbraco.library CommerceLibrary">


  <xsl:output method="xml" omit-xml-declaration="yes"/>

  <xsl:param name="currentPage"/>

  <xsl:template match="/">

    <xsl:variable name="isPostback" select="string-length(umbraco.library:RequestForm('firstNameInput')) > 0" />

    <xsl:if test="$isPostback">
      <xsl:variable name="firstName" select="umbraco.library:RequestForm('firstNameInput')" />
      <xsl:variable name="lastName" select="umbraco.library:RequestForm('lastNameInput')" />
      <xsl:variable name="line1" select="umbraco.library:RequestForm('line1Input')" />
      <xsl:variable name="line2" select="umbraco.library:RequestForm('line2Input')" />
      <xsl:variable name="postalCode" select="umbraco.library:RequestForm('postalCodeInput')" />
      <xsl:variable name="city" select="umbraco.library:RequestForm('cityInput')" />
      <xsl:variable name="phone" select="umbraco.library:RequestForm('phoneInput')" />
      <xsl:variable name="mobile" select="umbraco.library:RequestForm('mobileInput')" />
      <xsl:variable name="countryId" select="umbraco.library:RequestForm('countryInput')" />
      <xsl:variable name="email" select="umbraco.library:RequestForm('emailInput')" />
      <xsl:variable name="attention" select="umbraco.library:RequestForm('attentionInput')" />
      <xsl:variable name="company" select="umbraco.library:RequestForm('companyInput')" />

      <xsl:variable name="editBillingInformationResult" select="CommerceLibrary:EditBillingInformation($firstName, $lastName, $email, $phone, $mobile, $company, $line1, $line2, $postalCode, $city, '', $attention, $countryId)"/>

      <xsl:variable name="hasShipmentData" select="string-length(umbraco.library:RequestForm('shipment_line1Input')) > 0" />
      <xsl:variable name="shipmentFieldsVisible" select="umbraco.library:RequestForm('showShipment') ='1'" />
      <xsl:choose>
        <xsl:when test="$hasShipmentData and $shipmentFieldsVisible">
          <xsl:variable name="shipment_firstName" select="umbraco.library:RequestForm('shipment_firstNameInput')" />
          <xsl:variable name="shipment_lastName" select="umbraco.library:RequestForm('shipment_lastNameInput')" />
          <xsl:variable name="shipment_line1" select="umbraco.library:RequestForm('shipment_line1Input')" />
          <xsl:variable name="shipment_line2" select="umbraco.library:RequestForm('shipment_line2Input')" />
          <xsl:variable name="shipment_postalCode" select="umbraco.library:RequestForm('shipment_postalCodeInput')" />
          <xsl:variable name="shipment_city" select="umbraco.library:RequestForm('shipment_cityInput')" />
          <xsl:variable name="shipment_countryId" select="umbraco.library:RequestForm('shipment_countryInput')" />
          <xsl:variable name="shipment_attention" select="umbraco.library:RequestForm('shipment_attentionInput')" />
          <xsl:variable name="shipment_company" select="umbraco.library:RequestForm('shipment_companyInput')" />

          <xsl:variable name="editShipmentInformationResult" select="CommerceLibrary:EditShipmentInformation('Shipment', $shipment_firstName, $shipment_lastName, '', '', '', $shipment_company, $shipment_line1, $shipment_line2, $shipment_postalCode, $shipment_city, '', $shipment_attention, $shipment_countryId)"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:variable name="editShipmentInformationResult2" select="CommerceLibrary:EditShipmentInformation('Shipment', $firstName, $lastName, '', '', '', $company, $line1, $line2, $postalCode, $city, '', $attention, $countryId)"/>
        </xsl:otherwise>

      </xsl:choose>
    </xsl:if>

  </xsl:template>
</xsl:stylesheet>